Get guest check extensibility details

post

/bi/v1/{orgIdentifier}/getGuestCheckExtensibilityDetails

Get all the Guest Check Extensibility details for a specified location and business date.

Request

Path Parameters
Body ()
The request body defines the details of the API request.
Root Schema : gstChkExtRequestPayload
Type: object
Request payload for guest check extensibility
Show Source
  • Title: Application Name
    Maximum Length: 128
    The name of the application which is accessing the API.

    First Available Version: 20.1.10

  • Title: Business Date
    If present, the API will return the superset of all guest checks where Open Business Date or Closed Business Date match the supplied date. This parameter cannot be present if clsdBusDt or opnBusDt are present.

    First Available Version: 20.5

  • Title: Changed Since Date Time UTC
    Report all guest check extensibility activity that has occurred since this UTC date and time. If this object is not included, return all guest check extensibility activity for the specified business date.

    First Available Version: 20.5

  • Title: Closed Business Date
    If present, the API will return all guest checks which were closed or reopen closed on the supplied business date. This parameter cannot be present if opnBusDt or busDt are present.

    First Available Version: 20.5

  • Title: Include
    Maximum Length: 2000
    List of objects to include in response
  • Title: Location Reference
    Maximum Length: 99
    The location reference, this may be a store number or name depending on the organization
  • Title: Open Business Date
    If present, the API will return the guest checks which were opened or reopened on the supplied business date. This parameter cannot be present if clsdBusDt or busDt are present.

    First Available Version: 20.5

  • Title: Search Criteria
    Maximum Length: 2000
    Search criteria to filter results based on field value
Back to Top

Response

Supported Media Types

200 Response

OK
Body ()
Root Schema : guestCheckExtDetails
Type: object
The response body contains information about the guest check extensiblity transactions for the specified location and business date.
Show Source
Nested Schema : revenueCenters
Type: array
An array of guest check extensibility details by reveneue centers
Show Source
Nested Schema : guestCheckExtDetailsByRVC
Type: object
The response body contains guest checks extensiblity transactions associated with a revenue center.
Show Source
Nested Schema : guestChecks
Type: array
An array of guest checks with extensibility data. This attribute will not be returned in the response if value is null
Show Source
Nested Schema : guestCheckExtDetail
Type: object
The response body contains guest check extensiblity information associated with a revenue center.
Show Source
  • Title: Display Name
    Maximum Length: 99
    Display name. This attribute will not be returned in the response if value is null
  • Title: Extension Appllication ID
    Maximum Length: 16
    Unique identifier extension application
  • Title: Extension Data name
    Maximum Length: 99
    Name of the extension data. This attribute will not be returned in the response if value is null
  • Title: Guest Check ID
    Maximum Length: 16
    The unique identifier of the guest check
  • Title: String Data
    Maximum Length: 99
    String data associated with the extension. This attribute will not be returned in the response if value is null

400 Response

Bad Request
Body ()
Root Schema : exceptionDetailType
Type: object
Error Details
Show Source

401 Response

Unauthorized
Body ()
Root Schema : exceptionDetailType
Type: object
Error Details
Show Source

403 Response

Service Unavailable
Body ()
Root Schema : exceptionDetailType
Type: object
Error Details
Show Source

404 Response

Resource Not Found
Body ()
Root Schema : exceptionDetailType
Type: object
Error Details
Show Source

Default Response

Unexpected Error
Body ()
Root Schema : exceptionDetailType
Type: object
Error Details
Show Source
Back to Top

Examples

The following example shows how to get the guest check extensibility details for a specified location and business date by submitting a POST request on the REST resource using cURL. For more information, see Use cURL

curl -i -X POST -H "Authorization: Bearer 
  
   " -H "Content-Type:application/json" -d {"locRef":"1234","busDt":"2020-10-20","changedSinceUTC":"2020-10-20T16:00:00"} https://baseurl/bi/v1/orgidentifier/getGuestCheckExtensibilityDetails
  

Example of Response Header

The following shows an example of the response header.

HTTP/1.1 200 OK  Date: Tue, 20 Oct 2020 21:24:33 GMT  Transfer-Encoding: chunked  Content-Type: application/json

Example of Response Body

The following example shows the contents of the response body in JSON format:

{
 "curUTC": "2020-10-20T16:42:42",
 "locRef": "1234",
 "opnBusDt": "2020-07-20",
 "revenueCenters": [{
   "rvcNum": 1372,
   "guestChecks": [{
     "guestCheckId": 124354,
     "extAppId": 123,
     "extDataName": "Extensibility Data",
     "strData": "Extension string",
     "dspName": "Name"
   }]
 }]
}
Back to Top